Topic
  • 5 replies
  • Latest Post - ‏2013-12-20T16:07:57Z by lvinniel
Y65C_swapna_sangal
Y65C_swapna_sangal
1 Post

Pinned topic Maven Integration in RAD 8.0.4

‏2011-12-30T17:02:49Z |
Hi,

I have installed RAD 8.0.4 and trying to integrate with maven (M2E Integration).

Tried to install with http://download.jboss.org/jbosstools/updates/m2eclipse-wtp/ and http://m2eclipse.sonatype.org/sites/m2e

Getting the connection refuse exception.

Could any one help me with the steps to have maven in RAD 8.0.4.

Appreciate your help.

Thanks & Regards,
Swapna Sangal
  • SystemAdmin
    SystemAdmin
    590 Posts

    Re: Maven Integration in RAD 8.0.4

    ‏2012-01-02T15:54:00Z  
    Hello, did you take a look at this document?

    https://www.ibm.com/developerworks/wikis/download/attachments/113607155/RAD_m2e.pdf?version=3
  • NHCG_Eder_Castro
    NHCG_Eder_Castro
    2 Posts

    Re: Maven Integration in RAD 8.0.4

    ‏2012-01-31T09:37:35Z  
    Hello, did you take a look at this document?

    https://www.ibm.com/developerworks/wikis/download/attachments/113607155/RAD_m2e.pdf?version=3
    RAD 8.0.4 have a lot of restrictions with maven. I have instaled it and two things:
    1.- It haven´t "maven pom editor".
    2.- It haven´t build item for build aplications on demand. Like as you can execute java aplications, this versión haven´t it.

    ¿Can I install m2eclipse plugin? ¿Where can i donwload it for install?

    Thanks a lot,
    A Rad user.
  • Chuck_Bridgham
    Chuck_Bridgham
    3 Posts

    Re: Maven Integration in RAD 8.0.4

    ‏2012-02-01T15:40:08Z  
    RAD 8.0.4 have a lot of restrictions with maven. I have instaled it and two things:
    1.- It haven´t "maven pom editor".
    2.- It haven´t build item for build aplications on demand. Like as you can execute java aplications, this versión haven´t it.

    ¿Can I install m2eclipse plugin? ¿Where can i donwload it for install?

    Thanks a lot,
    A Rad user.
    Hi - the link above has changed for the paper on using m2eclipse with RAD 804 (or 8.5 beta)

    https://www.ibm.com/developerworks/wikis/download/attachments/113607155/RAD_m2e-Nov.pdf?version=1

    Please take a look, and let me know if you have any further questions. -

    Thanks - Chuck
  • NHCG_Eder_Castro
    NHCG_Eder_Castro
    2 Posts

    Re: Maven Integration in RAD 8.0.4

    ‏2012-02-16T14:58:47Z  
    Hi - the link above has changed for the paper on using m2eclipse with RAD 804 (or 8.5 beta)

    https://www.ibm.com/developerworks/wikis/download/attachments/113607155/RAD_m2e-Nov.pdf?version=1

    Please take a look, and let me know if you have any further questions. -

    Thanks - Chuck
    Hi Chuck, the guide is not very useful because i have errors like:

    "No se puede completar la instalación porque no se han podido encontrar uno o varios elementos necesarios.
    Software que se está instalando: m2e - Maven Integration for Eclipse 1.0.100.20110804-1717 (org.eclipse.m2e.feature.feature.group 1.0.100.20110804-1717)
    Requisito faltante: m2e Marketplace 1.0.100.20110804-1717 (org.eclipse.m2e.discovery 1.0.100.20110804-1717) requiere 'bundle org.eclipse.equinox.p2.ui.discovery 0.0.0' pero no se ha podido encontrar
    No se puede satisfacer la dependencia:
    De: m2e - Maven Integration for Eclipse 1.0.100.20110804-1717 (org.eclipse.m2e.feature.feature.group 1.0.100.20110804-1717)
    A: org.eclipse.m2e.discovery http://1.0.100.20110804-1717
    "
    I have this errors when i go to install the new features of document.

    ¿Have you new ideas?
    Thanks a lot.
  • lvinniel
    lvinniel
    1 Post

    Re: Maven Integration in RAD 8.0.4

    ‏2013-12-20T16:07:57Z  
    Hi Chuck, the guide is not very useful because i have errors like:

    "No se puede completar la instalación porque no se han podido encontrar uno o varios elementos necesarios.
    Software que se está instalando: m2e - Maven Integration for Eclipse 1.0.100.20110804-1717 (org.eclipse.m2e.feature.feature.group 1.0.100.20110804-1717)
    Requisito faltante: m2e Marketplace 1.0.100.20110804-1717 (org.eclipse.m2e.discovery 1.0.100.20110804-1717) requiere 'bundle org.eclipse.equinox.p2.ui.discovery 0.0.0' pero no se ha podido encontrar
    No se puede satisfacer la dependencia:
    De: m2e - Maven Integration for Eclipse 1.0.100.20110804-1717 (org.eclipse.m2e.feature.feature.group 1.0.100.20110804-1717)
    A: org.eclipse.m2e.discovery http://1.0.100.20110804-1717
    "
    I have this errors when i go to install the new features of document.

    ¿Have you new ideas?
    Thanks a lot.

    I realize this is a bit late, but I had to head down this path and I found this page to be exactly what I needed for me to successfully integrate RAD 8.0.4 with Maven... http://youhenghu.blogspot.com/2012/03/integrating-m2eclipse-wtp-with-ibm.html